--local MODNAME = core.get_current_modname()
local MODNAME = "yl_snowball"

local mod_start_time = core.get_us_time()
core.log("action", ("[MOD] %s loading..."):format(MODNAME))

local MODPATH = core.get_modpath(MODNAME) .. DIR_DELIM

yl_snowball = {}
yl_snowball.information = {
    version = "1.0.0",
    author = "whosit",
    license = "MIT",
    name = MODNAME,
    source = "https://gitea.your-land.de/your-land/" .. MODNAME,
    additional = "This mod implements a throwable snowball and a minigame for it.",
}


dofile(MODPATH .. "chatcommands.lua")
dofile(MODPATH .. "internal.lua")
dofile(MODPATH .. "game.lua")


local mod_end_time = (core.get_us_time() - mod_start_time) / 1000000
core.log("action", ("[MOD] %s loaded in [%ss]"):format(MODNAME, mod_end_time))
